# general info
NAME="matt"
DESC="The (new) MatterLinux package manager"
VERSION="24.01m4"

# required files
FILES=(
  "https://git.matterlinux.xyz/Matter/matt/archive/${VERSION%m*}.tar.gz"
  "config.ini"
)
HASHES=(
  "69c6f046c336b0490bc923225114fda592738556dba002bc1657b1d6e0218b48"
  "d71417d617f9953c3d2746edd3c62dd1b17851e5a459a62ffc320c9738c88b30"
)
KEEP=("etc/matt/config.ini")

# install and build depends
DEPENDS=("libmp" "libinih" "gettext")
BUILD=("gcc" "make")

PACKAGE(){
  tar xf "${VERSION%m*}.tar.gz"
  cd "${NAME}"

  make

  install -Ddm755 "${ROOTDIR}/usr/bin"
  install -Ddm755 "${ROOTDIR}/etc/matt"

  make DESTDIR="${ROOTDIR}" install
  install -m644 "${ROOTDIR}/config.ini" "${ROOTDIR}/etc/matt/config.ini"

  cd .. && rm -r "${NAME}"
}
